Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class WeightedDirectedCallTreeEdge<T>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge<V,E,O>
              kieker.tools.traceAnalysis.filter.visualization.graph.AbstractWeightedEdge<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>
                  kieker.tools.traceAnalysis.filter.visualization.callTree.WeightedDirectedCallTreeEdge<T>

Type Parameters:
  `T` - The type of the entity to be stored in the nodes linked by this edge.

    public class WeightedDirectedCallTreeEdge<T>

extends AbstractWeightedEdge<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>

This class represents a weighted and directed edge within a call tree.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`WeightedDirectedCallTreeEdge(AbstractCallTreeNode<T> source, AbstractCallTreeNode<T> target, MessageTrace origin, IOriginRetentionPolicy originPolicy)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractWeightedEdge
`getSourceWeight, getTargetWeight, getWeight`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge
`getIdentifier, getSource, getTarget`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeightedDirectedCallTreeEdge

    public WeightedDirectedCallTreeEdge(AbstractCallTreeNode<T> source,
                                        AbstractCallTreeNode<T> target,
                                        MessageTrace origin,
                                        IOriginRetentionPolicy originPolicy)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `source` - The source of this edge.
    `target` - The target of this edge.
    `origin` - The meta information for this edge.
    `originPolicy` - The origin policy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net